Axes Class Reference

`#include <pcl/outofcore/visualization/axes.h>`

Inheritance diagram for Axes:

## Public Member Functions

| Axes (std::string name, float size=1.0)
vtkSmartPointer< vtkAxes > | getAxes () const
vtkSmartPointer< vtkActor > | getAxesActor () const
Public Member Functions inherited from Object
| Object (std::string name)
virtual | ~Object ()
std::string | getName () const
void | setName (std::string name)
virtual void | render (vtkRenderer *renderer)
bool | hasActor (vtkActor *actor)
void | addActor (vtkActor *actor)
void | removeActor (vtkActor *actor)
vtkSmartPointer< vtkActorCollection > | getActors ()

## Additional Inherited Members

Protected Attributes inherited from Object
vtkSmartPointer< vtkActorCollection > | actors_
boost::mutex | actors_mutex_

## Detailed Description

Definition at line 23 of file axes.h.

## Constructor & Destructor Documentation

## Axes()

Axes::Axes | ( | std::string | name,
|  | float | size = `1.0`
| ) |  |

inline

Definition at line 29 of file axes.h.

References Object::addActor().

## Member Function Documentation

## getAxes()

vtkSmartPointer<vtkAxes> Axes::getAxes | ( |  | ) | const

inline

Definition at line 77 of file axes.h.

## getAxesActor()

vtkSmartPointer<vtkActor> Axes::getAxesActor | ( |  | ) | const

inline

Definition at line 83 of file axes.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/outofcore/include/pcl/outofcore/visualization/axes.h